﻿<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <system.webServer>
    <urlCompression doStaticCompression="true" doDynamicCompression="true" />
    <httpCompression>
      <dynamicTypes>
        <clear />
        <add enabled="true"  mimeType="text/*"/>
        <add enabled="true"  mimeType="message/*"/>
        <add enabled="true"  mimeType="application/x-javascript"/>
        <add enabled="true"  mimeType="application/javascript"/>
        <add enabled="true"  mimeType="application/json"/>
        <add enabled="false" mimeType="*/*"/>
        <add enabled="true"  mimeType="application/atom+xml"/>
        <add enabled="true"  mimeType="application/atom+xml;charset=utf-8"/>
      </dynamicTypes>
      <staticTypes>
        <clear />
        <add enabled="true" mimeType="text/*"/>
        <add enabled="true" mimeType="message/*"/>
        <add enabled="true" mimeType="application/javascript"/>
        <add enabled="true" mimeType="application/atom+xml"/>
        <add enabled="true" mimeType="application/xaml+xml"/>
        <add enabled="true" mimeType="application/json"/>
        <add enabled="false" mimeType="*/*"/>
      </staticTypes>
    </httpCompression>
    <security>
      <requestFiltering removeServerHeader="true"/>
    </security>
    <httpProtocol>
      <customHeaders>
        <remove name="x-powered-by" />
      </customHeaders>
    </httpProtocol>
  </system.webServer>
</configuration>